#!/bin/bash

NC='\033[0m'
RED='\033[0;31m'
GREEN='\033[0;32m'
YELLOW='\033[1;33m'

for file in *.nwql
do
	FILENAME=${file##*/}
	printf "${YELLOW}Compiling $FILENAME ...${NC}\n"
	EXECUTABLE="${FILENAME%.*}"
	../src/nwql $file > "$EXECUTABLE.log" 2>&1
	DIFF=$(diff $EXECUTABLE.log golden_test_suite/$EXECUTABLE.log)
if [ "$DIFF" = "" ]
		then printf "${GREEN}$EXECUTABLE test case passed.${NC}\n"

	else printf "${RED}$EXECUTABLE test case failed.${NC}\n"
	fi
rm $EXECUTABLE.log

done

rm *.out
